Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Problem with papyrusDiagram extension point on Papyrus 0.9.2
Problem with papyrusDiagram extension point on Papyrus 0.9.2 [message #1049815] Fri, 26 April 2013 05:59
nicolas h is currently offline nicolas h
Messages: 60
Registered: February 2011
Location: Grenoble, France
Member
Hi all,

I encoutered a bug with the papyrusDiagram extension point, only on Papyrus v0.9.2 (that works fine on Papyrus 0.9.0).

I use the extension point to register new language and new diagram. However, the factory class referenced in the extension point element "editorDiagram" is never called. Instead, the factory class of the extended uml diagram (I suspect that the useCase uml diagram factory class is called rather than mine, because, in the diagram creation command, I reference the UseCaseDiagramEditPart notation).

I created a bug on bugzilla and attached my source files.
https://bugs.eclipse.org/bugs/show_bug.cgi?id=406635


It seems to be a functionality downgrade because that works on Papyrus 0.9.0, my facotry class is called.

Yours,


--
Nicolas
Previous Topic:Question about all the functionalities
Next Topic:Papyrus activity diagrams
Goto Forum:
  


Current Time: Thu Apr 24 02:04:59 EDT 2014

Powered by FUDForum. Page generated in 0.01561 seconds